<script>
	import axios from 'axios';
	import Map from '../base/map.svelte';
	export let ready;

	let name = '';
	let email = '';
	let message = '';

	let hasMailBeenSent = false;

	function sendMail() {
		if (email)
			axios.post('/mail', {
				subject: `Message de ${name}`,
				content: `${message}. Email de contact : ${email}`,
				from: '"[Formulaire de Contact]" <contact@audrey-sage-education-canine.com>',
				to: 'contact@audrey-sage-education-canine.com'
			});

		//Improve by sending error if result is not 200
		hasMailBeenSent = true;
		name = '';
		email = '';
		message = '';
	}
</script>

<svelte:head>
	<!-- <script
		defer
		async
		src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAtGC-UaVO6ADZlAQgEu3fbd1d0xi3nZGw&callback=initMap"
	>
	</script> -->
</svelte:head>

<section>
	<div class="contact-section">
		<h2>Me Contacter</h2>
		<p>J'interviens à domicile, tous les jours de la semaine entre 9h et 19h.</p>
		<form
			id="contact-form"
			on:submit={() => {
				sendMail();
			}}
		>
			<input placeholder="Votre nom" bind:value={name} disabled={hasMailBeenSent} required />
			<input
				placeholder="Votre adresse mail"
				bind:value={email}
				disabled={hasMailBeenSent}
				required
			/>
			<textarea
				resize="false"
				placeholder="Le message que vous voulez m'envoyer"
				bind:value={message}
				disabled={hasMailBeenSent}
				required
			/>
			<button type="submit" disabled={hasMailBeenSent} action="#contact-form"
				>{hasMailBeenSent ? 'Mail envoyé' : 'Envoyer'}</button
			>
		</form>
	</div>
	<div class="map-section">
		<Map />
	</div>
</section>

<style>
	section {
		margin: auto;
		margin-bottom: 96px;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
		padding: 48px;
	}

	form {
		color: white;
		display: flex;
		flex-grow: 1;

		flex-direction: column;
	}

	input,
	textarea {
		margin-bottom: 12px;
		margin-top: 12px;
	}

	textarea {
		resize: none;
		height: 250px;
		flex-grow: 1;
	}

	.contact-section {
		display: flex;
		flex-direction: column;
		margin-bottom: 48px;
	}

	h2 {
		font-size: 2em;
	}

	button {
		color: black;
		background-color: white;
		border: solid white 8px;
	}

	button:hover {
		transform: scale(1.01, 1.01);
		cursor: pointer;
		transition: box-shadow 0.3s;
		transition: transform 0.3s;
		transition-duration: 300mx;
		box-shadow: 2px 2px 20px white;
	}

	button:disabled {
		box-shadow: none;
		transform: none;
		background-color: lightgray;
		border: solid lightgray 8px;
		color: grey;
		cursor: default;
	}

	@media (min-width: 1800px) {
		section {
			flex-direction: row-reverse;
		}

		.map-section {
			width: 50%;
		}

		.contact-section {
			flex: 1;
			margin-left: 48px;
		}
	}
</style>
